function times = NonhomogeneousPoissonProcess(lambdaFunction, maxLambda, T)

% ============================================================================
% DESCRIPTION
%
% usage: times = NonhomogeneousPoissonProcess(lambdaFunction, maxLambda, T)
%
% Generates a row vector of event times for a nonhomogeneous Poisson process
% with a time-dependent rate described by the function lambdaFunction
%
% ----------------------------------------------------------------------------
% PARAMETERS
%
% lambdaFunction    pointer to the function defining the rate over time, i.e. lambda(t)
% maxLambda         maximum value of lambda(t) to be used for the generation of the nonhomogeneous Poisson process
% T                 duration of the Poisson process 
%
% ---------------------------------------------------------------------------
% RETURN VALUES
%
% times     a row vector of event times
%
% ============================================================================

%% INSERT YOUR CODE HERE



end
